#!/bin/sh 

# Note: Errors are treated as not running so that in the event
# of an error checking for the app running status, the installer
# will allow the user to continue rather than prevent them
# from getting the update.  Therefore, this script returns
# 0 when there are applications running and non-zero when none are running.

# Read parameters
declare -r SELF="${0}"
declare -r TARGETAPP="${1}"

# Check that we actually have the path to TARGETAPP. It's required.
if [ -z "${TARGETAPP}"  ] ; then
    /bin/echo "CheckAdobeAppsRunning: Required path to application to patch missing." 1>&2
    exit 0  # assume App is running
fi

# Check for running app
/bin/ps awwxocommand | /usr/bin/grep -v "grep " | /usr/bin/grep -v "${SELF}" | /usr/bin/grep "${TARGETAPP}" > /dev/null
exit $? # 0 = App is running; 1 = App is not running
